Description
Hello Foreman Users,

| recently upgraded to Foreman 1.12 but | should note that it was happening before 1.12 upgrade and | upgraded thinking that it
would fix the Ubuntu Mirror errors | am getting.
| [!!] Download installer components |

The installer failed to download a file from the mirror. This mau be
a problem with your network, or with the mirror. You can choose to
retry the download, select a different mirror, or cancel and choose
another installation method.

Downloading a file failed:

Change mirror
Cancel

The Preseed Default Template previews correctly in Foreman and it looks like this in the Mirror Settings:

1. Locale
d-i debian-installer/locale string en_US
. country and keyboard settings are automatic. Keep them ...
3. ... for wheezy and newer:
d-i keyboard-configuration/xkb-keymap seen true
4. ... for squeeze and older:
d-i console-keymaps-at’keymap seen true

N

1. Network configuration
d-i netcfg/choose_interface select auto
d-i netcfg/get_hostname string elk.domain.com
d-i netcfg/get_domain string domain.com
d-i netcfg/wireless_wep string
d-i hw-detect/load_firmware boolean true

1. Mirror settings
d-i mirror/country string manual
d-i mirror/http/hostname string archive.ubuntu.com:80
d-i mirror/http/directory string /ubuntu
d-i mirror/http/proxy string
d-i mirror/codename string trusty
d-i mirror/suite string trusty
d-i mirror/udeb/suite string trusty

I've tried using both USA and Canada for Language/Country and it keeps error'ing out. Works ok with CentOS but Ubuntu for some
reason doesn't. | can confirm that http://archive.ubuntu.com/ubuntu is pingable from the Foreman server and | can browse to it. Am |
missing something in there? PLEASE HELP!

This is my Installation Media configuration:

Name * Ubuntu mirror

Path * http:/farchive.ubuntu.com/ubuntu

Operating system family Debian h

History

#1 - 07/15/2016 03:01 AM - Dominic Cleal
- Tracker changed from Bug to Support

- Category set to Unattended installations

Also at https://groups.google.com/forum/#!topic/foreman-users/uPjWPgVAF1Y.

My only guess would be to check the other virtual consoles (ctrl+alt+f*) and see if there are any logs or more details available. Also try Ubuntu support
channels for help.

#2 - 07/15/2016 12:08 PM - Anthony De La Rosa

Hey Dominic! Thanks for getting back to me as always. Yeah | opened that topic in Google Foreman Groups but no luck yet

#3 - 05/20/2017 09:32 AM - Anonymous

- Status changed from New to Resolved
